# Avoid rpm claiming we provide native libraries we don't just because they
# are bundled in the jbossweb native connector module
%define _use_internal_dependency_generator 0
%define __find_provides %{nil}

Summary:        JBoss Enterprise Application Platform modules .index files
Name:           jboss-eap6-index
Version:        6.0.0.GA
Release:        2%{?dist}
License:        LGPL
BuildArch:      noarch
Group:          Applications/System
Source0:        jboss-eap-%{version}-index.tar.gz
Source1:        SOURCE-OFFER
Requires:       shadow-utils
Requires:       coreutils
Requires:       java-1.6.0-openjdk >= 1.6.0.0-1.39.1.9.7.el6
Requires:       initscripts
Requires(post): /sbin/chkconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%define __jar_repack %{nil}

%description
The JBoss Enterprise Application Platform modules .index files

# Ignore warnings about arch binary dependencies
%global _binaries_in_noarch_packages_terminate_build 0

%prep
%setup -n modules

%install
cd %{_topdir}/BUILD

install -d -m 755 $RPM_BUILD_ROOT/usr/share/jbossas/modules
cp -R modules/* $RPM_BUILD_ROOT/usr/share/jbossas/modules
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/jbossas

%clean
rm -Rf $RPM_BUILD_ROOT

%pre

%post

%files
%defattr(-,root,root)
/usr/share/jbossas

%changelog
* Tue Oct 02 2012 William DeCoste
- adjust to official eap6 rpms

* Thu Sep 20 2012 William DeCoste
- initial


